/* 
 * "ESCPSLIB.H"
 * 
 * The Escotia Playstation Library 
 *
 * Functions to make programming a chore not a pleasure
 *
 * Author:	ScoTT Campbell
 * Date:	30/8/98
 *
 * Updated: 19/9/98
 *
*/


#ifndef __ESCOTIAPSLIB
#define __ESCOTIAPSLIB



#include <libps.h>
#include <stdlib.h>
#include <stdio.h>
#include "malloc.h"


/* These headers will generally be required for all programs */
#include "headers\escreen.h"	// Screen definitions such as height, width and mode (NTSC or PAL)
#include "headers\pad.h"		// Macros and functions for dealing with standard pads
#include "headers\escot.h"		// Macros and functions for setting up ordering tables
#include "headers\escattri.h"	// Macros and functions for getting attribute values for all types


/* Comment out any of the following header's that are not required */

//#include "headers\escpixel.h"	// Functions for dealing with new type EsPIXEL	- single pixel
//#include "headers\escline.h"	// Functions for dealing with GsLINE			- straight line
//#include "headers\escgline.h"	// Functions for dealing with GsGLINE			- gradation straight line
//#include "headers\escboxo.h"	// Functions for dealing with new type EsBOXO	- outline rectangle
//#include "headers\escboxf.h"	// Functions for dealing with GsBOXF			- filled rectangle
//#include "headers\escgboxo.h"	// Functions for dealing with new type EsGBOXO	- outline gradation rectangle
//#include "headers\escgboxf.h"	// Functions for dealing with new type EsGBOXF	- filled gradation rectangle
#include "headers\escsprit.h"	// Functions for dealing with GsSPRITE			- sprite
//#include "headers\escsound.h"	// Functions for dealing with VAB files
//#include "headers\escmenu.h"	// Functions for creating menus
//#include "headers\esclight.h"	// Functions for dynamic lighting of TMD's



#endif