/*
 * "ESCLINE.C"
 *
 * Part of The Escotia Playstation Library
 *
 * Author:	ScoTT Campbell
 * Date:	10/9/98
 *
*/


#include "..\headers\escline.h"



/*****************************/
/* Start of GsLINE functions */ 
/*****************************/

void InitLine(GsLINE* linePtr, int xStart, int yStart, int xEnd, int yEnd)
{
	linePtr->x0 = xStart;
	linePtr->x1 = xEnd;
	linePtr->y0 = yStart;
	linePtr->y1 = yEnd;

	linePtr->attribute = 0;

	linePtr->r = linePtr->g = linePtr->b = 255;

}/* InitLine */


void SetLinePosition(GsLINE* linePtr, int xStart, int yStart, int xEnd, int yEnd)
{
	linePtr->x0 = xStart;
	linePtr->y0 = yStart;
	linePtr->x1 = xEnd;
	linePtr->y1 = yEnd;

}/* SetLinePosition */


void SetLineStartPosition(GsLINE* linePtr, int xStart, int yStart)
{
	linePtr->x0 = xStart;
	linePtr->y0 = yStart;

}/* SetLineStartPosition */


void SetLineXStartPosition(GsLINE* linePtr, int xStart)
{
	linePtr->x0 = xStart;

}/* SetLineXStartPosition */


void SetLineYStartPosition(GsLINE* linePtr, int yStart)
{
	linePtr->y0 = yStart;

}/* SetLineYStartPosition */


void SetLineEndPosition(GsLINE* linePtr, int xEnd, int yEnd)
{
	linePtr->x1 = xEnd;
	linePtr->y1 = yEnd;

}/* SetLineEndPosition */


void SetLineXEndPosition(GsLINE* linePtr, int xEnd)
{
	linePtr->x1 = xEnd;

}/* SetLineXEndPosition */


void SetLineYEndPosition(GsLINE* linePtr, int yEnd)
{
	linePtr->y1 = yEnd;

}/* SetLineYEndPosition */


void MoveLine(GsLINE* linePtr, int xAmount, int yAmount)
{
	linePtr->x0 += xAmount;
	linePtr->y0 += yAmount;
	linePtr->x1 += xAmount;
	linePtr->y1 += yAmount;

}/* MoveLine */


void MoveLineStart(GsLINE* linePtr, int xAmount, int yAmount)
{
	linePtr->x0 += xAmount;
	linePtr->y0 += yAmount;

}/* MoveLineStart */


void MoveLineEnd(GsLINE* linePtr, int xAmount, int yAmount)
{
	linePtr->x1 += xAmount;
	linePtr->y1 += yAmount;

}/* MoveLineEnd */


void SetLineColourVector(GsLINE* linePtr, CVECTOR* colourVectorPtr)
{
	linePtr->r = colourVectorPtr->r;
	linePtr->g = colourVectorPtr->g;
	linePtr->b = colourVectorPtr->b;

}/* SetLineColourVector */


void SetLineColour(GsLINE* linePtr, unsigned char r, unsigned char g, unsigned char b)
{
	linePtr->r = r;
	linePtr->g = g;
	linePtr->b = b;

}/* SetLineColour */


void SetLineAttributes(GsLINE* linePtr, unsigned long int attributes)
{
	/* Clear the top 4 bits */
	linePtr->attribute &= 0x0FFFFFFF;

	/* Set the bits we want */
	linePtr->attribute |= attributes;

}/* SetLineAttributes */


/***************************/
/* End of GsLINE functions */ 
/***************************/
